# Top CMakeLists.txt file

# Firstly a minimum required version of CMake is specified
cmake_minimum_required(VERSION 3.22)

# Name the project, and give a version
project(cmake_demo VERSION 0.0.1)

# Setting build logs to verbose (usefull for debugging)
set(CMAKE_VERBOSE_MAKEFILE ON)

# Adding subdirectories that contain CMakeLists.txt
add_subdirectory(lib)
add_subdirectory(src)

